Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Interface PointcutExpressionParserTreeConstants

All Known Implementing Classes:
  PointcutExpressionParser

public interface PointcutExpressionParserTreeConstants

Field Summary
`static int` | `JJTALL`
`static int` | `JJTALLPARAMETER`
`static int` | `JJTAND`
`static int` | `JJTANDCFLOW`
`static int` | `JJTATTRIBUTE`
`static int` | `JJTBOOLEAN`
`static int` | `JJTCALL`
`static int` | `JJTCFLOW`
`static int` | `JJTCFLOWBOOLEAN`
`static int` | `JJTCFLOWEXPRESSION`
`static int` | `JJTCOMPOSITE`
`static int` | `JJTCOMPOSITECFLOW`
`static int` | `JJTCONSTRUCTION`
`static int` | `JJTCONSTRUCTOR`
`static int` | `JJTEXCEPTION`
`static int` | `JJTEXECUTION`
`static int` | `JJTEXECUTIONONLY`
`static int` | `JJTFIELD`
`static int` | `JJTFIELDEXECUTION`
`static int` | `JJTGET`
`static int` | `JJTHAS`
`static int` | `JJTHASFIELD`
`static int` | `JJTMETHOD`
`static String[]` | `jjtNodeName`
`static int` | `JJTNOT`
`static int` | `JJTNOTCFLOW`
`static int` | `JJTOR`
`static int` | `JJTORCFLOW`
`static int` | `JJTPARAMETER`
`static int` | `JJTPOINTCUT`
`static int` | `JJTSET`
`static int` | `JJTSTART`
`static int` | `JJTSUB`
`static int` | `JJTSUBCFLOW`
`static int` | `JJTVOID`
`static int` | `JJTWITHIN`
`static int` | `JJTWITHINCODE`

Field Detail

### JJTSTART

    public static final int JJTSTART

See Also:
  Constant Field Values

### JJTEXECUTIONONLY

    public static final int JJTEXECUTIONONLY

See Also:
  Constant Field Values

### JJTVOID

    public static final int JJTVOID

See Also:
  Constant Field Values

### JJTBOOLEAN

    public static final int JJTBOOLEAN

See Also:
  Constant Field Values

### JJTCOMPOSITE

    public static final int JJTCOMPOSITE

See Also:
  Constant Field Values

### JJTNOT

    public static final int JJTNOT

See Also:
  Constant Field Values

### JJTSUB

    public static final int JJTSUB

See Also:
  Constant Field Values

### JJTAND

    public static final int JJTAND

See Also:
  Constant Field Values

### JJTOR

    public static final int JJTOR

See Also:
  Constant Field Values

### JJTCFLOWEXPRESSION

    public static final int JJTCFLOWEXPRESSION

See Also:
  Constant Field Values

### JJTCFLOWBOOLEAN

    public static final int JJTCFLOWBOOLEAN

See Also:
  Constant Field Values

### JJTNOTCFLOW

    public static final int JJTNOTCFLOW

See Also:
  Constant Field Values

### JJTCOMPOSITECFLOW

    public static final int JJTCOMPOSITECFLOW

See Also:
  Constant Field Values

### JJTSUBCFLOW

    public static final int JJTSUBCFLOW

See Also:
  Constant Field Values

### JJTANDCFLOW

    public static final int JJTANDCFLOW

See Also:
  Constant Field Values

### JJTORCFLOW

    public static final int JJTORCFLOW

See Also:
  Constant Field Values

### JJTPOINTCUT

    public static final int JJTPOINTCUT

See Also:
  Constant Field Values

### JJTCFLOW

    public static final int JJTCFLOW

See Also:
  Constant Field Values

### JJTALL

    public static final int JJTALL

See Also:
  Constant Field Values

### JJTCALL

    public static final int JJTCALL

See Also:
  Constant Field Values

### JJTWITHIN

    public static final int JJTWITHIN

See Also:
  Constant Field Values

### JJTWITHINCODE

    public static final int JJTWITHINCODE

See Also:
  Constant Field Values

### JJTEXECUTION

    public static final int JJTEXECUTION

See Also:
  Constant Field Values

### JJTCONSTRUCTION

    public static final int JJTCONSTRUCTION

See Also:
  Constant Field Values

### JJTHAS

    public static final int JJTHAS

See Also:
  Constant Field Values

### JJTHASFIELD

    public static final int JJTHASFIELD

See Also:
  Constant Field Values

### JJTGET

    public static final int JJTGET

See Also:
  Constant Field Values

### JJTSET

    public static final int JJTSET

See Also:
  Constant Field Values

### JJTFIELDEXECUTION

    public static final int JJTFIELDEXECUTION

See Also:
  Constant Field Values

### JJTMETHOD

    public static final int JJTMETHOD

See Also:
  Constant Field Values

### JJTEXCEPTION

    public static final int JJTEXCEPTION

See Also:
  Constant Field Values

### JJTATTRIBUTE

    public static final int JJTATTRIBUTE

See Also:
  Constant Field Values

### JJTCONSTRUCTOR

    public static final int JJTCONSTRUCTOR

See Also:
  Constant Field Values

### JJTPARAMETER

    public static final int JJTPARAMETER

See Also:
  Constant Field Values

### JJTALLPARAMETER

    public static final int JJTALLPARAMETER

See Also:
  Constant Field Values

### JJTFIELD

    public static final int JJTFIELD

See Also:
  Constant Field Values

### jjtNodeName

    public static final String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.